## org.eclipse.emf.query.statements
Class WHERE

    java.lang.Object
      org.eclipse.emf.query.internal.statements.QueryClause
          org.eclipse.emf.query.statements.WHERE

    public class WHERE

extends org.eclipse.emf.query.internal.statements.QueryClause

The where clause specifies the condition that all result EObjects of the query must satisfy.

Constructor Summary
`WHERE(EObjectCondition condition)`

Method Summary
`boolean` `matches(EObject eObject)`
`boolean` `shouldPrune(EObject eObject)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WHERE

    public WHERE(EObjectCondition condition)

Method Detail

### matches

    public boolean matches(EObject eObject)

### shouldPrune

    public boolean shouldPrune(EObject eObject)

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.